import os
import sys

backup = False

hosts = ['ahorn', 'erle', 'linde']
__basepath__ = '/user_data'
entries = (
    ('dirk@%s:/user_data/bin', os.path.join(__basepath__, 'bin'), None),
    ('dirk@%s:/user_data/data', os.path.join(__basepath__, 'data'), None),
    ('dirk@%s:/user_data/static_data', os.path.join(__basepath__, 'static_data'), ['Audio', 'timeshift', 'lost+found']),
    ('dirk@%s:/home', '/home', None),
)


for host in hosts:
    for remote, local, skip in entries:
        setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_remotepath', remote % host)
        setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_localpath', local)
        if skip is not None:
            setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_skip', skip)


mount_mockery_audio_remotepath = 'root@mount-mockery.de:/data/audio/items'
mount_mockery_audio_localpath = os.path.join(__basepath__, 'static_data', 'dirk', 'Audio')
